Project

General

Profile

Bug #10648

Unable to install katello 2.3

Added by Neeraj Harikrishnan almost 4 years ago. Updated 8 months ago.

Status:
Closed
Priority:
Normal
Assignee:
Category:
-
Target version:
Difficulty:
Triaged:
Yes
Bugzilla link:
Team Backlog:
Fixed in Releases:
Found in Releases:

Description

I am getting a weird confusing error while I try to install katello 2.3.

[root@koi ~]# katello-installer --verbose
ERROR: Unrecognised option '--profile'

See: 'katello-installer --help'

Associated revisions

Revision 60e258f1 (diff)
Added by Ivan Necas almost 4 years ago

Fixes #10648 - the --profile parameter was introduced in puppet 3.4.0

See https://tickets.puppetlabs.com/browse/PUP-341

Revision 9cb5faa1
Added by Ivan Necas over 3 years ago

Merge pull request #231 from iNecas/10648

Fixes #10648 - the --profile parameter was introduced in puppet 3.4.0

History

#1 Updated by Eric Helms almost 4 years ago

  • Status changed from New to Need more information
  • Triaged changed from No to Yes

Katello "2.3" is not a released version of Katello, it is the next version of Katello that we are working on. Can you give more details on what you attempted to do for the installation of our nightly builds?

#2 Updated by Neeraj Harikrishnan almost 4 years ago

Neeraj Harikrishnan wrote:

I am getting a weird confusing error while I try to install katello 2.3.

[root@koi ~]# katello-installer --verbose
ERROR: Unrecognised option '--profile'

See: 'katello-installer --help'

I had foreman 1.8 already installed and I was trying to install Katello 2.3 from your nightly builds and I got this error. However when I removed the previous installation of foreman and downgraded Katello to 2.2 the installation did go through.

#3 Updated by Ivan Necas almost 4 years ago

The problem is probably with the version of puppet (the --profile option was added in puppet 3.4: https://tickets.puppetlabs.com/browse/PUP-341)

what version of puppet are you using, in upstream, we rely on the puppet releases https://github.com/Katello/katello-deploy/blob/master/setup.rb#L212)

#4 Updated by Ivan Necas almost 4 years ago

  • Status changed from Need more information to Assigned
  • Assignee set to Ivan Necas

#5 Updated by The Foreman Bot almost 4 years ago

  • Status changed from Assigned to Ready For Testing
  • Pull request https://github.com/Katello/katello-installer/pull/231 added
  • Pull request deleted ()

#6 Updated by Neeraj Harikrishnan almost 4 years ago

I was running puppet 3.7. changed several things after this. I am not able to reproduce the error now. So I presume something off with my OS.

#7 Updated by Ivan Necas over 3 years ago

  • Status changed from Ready For Testing to Closed
  • % Done changed from 0 to 100

#8 Updated by Eric Helms about 3 years ago

  • Legacy Backlogs Release (now unused) set to 70

Also available in: Atom PDF